# CSOToRTStructure Class Reference

convert CSOs to RT Structure More...

`#include <STUCSOToRTStructure.h>`

List of all members.

## Public Member Functions
| CSOToRTStructure ()
| Constructor.
| ~CSOToRTStructure ()
| D'structor.
virtual void | handleNotification (Field *field)
| Handle field changes of the field field.
virtual void | calcOutImageProps (int outIndex)
| calculate image props
DCMTree::TreePtr | getTreeHeaderPtr ()
CSOList * | getInputCSOs ()
BaseOp::INPUT_HANDLE | handleInput (int, INPUT_STATE) const
| Handle Input.
void | activateAttachments ()
| ActiveAttachments.
void | setValidFld (bool valid)
void | updateGenTreeHeader (PagedImg *img)
| update generated Tree
## Static Public Member Functions
static void | setValid (CSOToRTStructure *obj)
| Set Valid field in UI. If TreeHeader and inputCSO are not NULL, valid is checked.
## Public Attributes
bool | _isInNotificationCB
| Locking variable...
## Static Public Attributes
static std::map< std::string, std::string > | _modalitySOPClassUIDMap
| Configures (in)validation handling of inputs which are not connected or up to date.

## Detailed Description

convert CSOs to RT Structure

Definition at line 68 of file STUCSOToRTStructure.h.

## Constructor & Destructor Documentation

CSOToRTStructure::CSOToRTStructure | ( |  | ) |

Constructor.

Get reference to the container for parameters/fields.

Definition at line 71 of file STUCSOToRTStructure.cpp.

## Member Function Documentation

void CSOToRTStructure::updateGenTreeHeader | ( | PagedImg * | img | ) |

update generated Tree

update Generated Tree

Definition at line 217 of file STUCSOToRTStructure.cpp.

The documentation for this class was generated from the following files:

- C:/AngioLocalizeNoAuto/MevisLabNoAutoReg/STUMevisApp/General/Sources/ML/STUCSOToRTStructure/STUCSOToRTStructure.h
- C:/AngioLocalizeNoAuto/MevisLabNoAutoReg/STUMevisApp/General/Sources/ML/STUCSOToRTStructure/STUCSOToRTStructure.cpp

All Classes Namespaces Files Functions Variables Enumerator Friends